Configure Options:

Many configure options are given in the configure.ac file in the source,
some of which are:
--enable-debug
--enable-linux-crypto
--enable-gcrypt
--enable-libcrypto
--enable-polarssl
--enable-nettle
--enable-nss
--enable-mhash
--enable-nautilus
--enable-nemo
--enable-thunar

The above configuration options are present in the SlackBuild and
commented out; users can enable them according to their needs.

Using with Thunar:

Thunar's Custom Action feature can be used (Thunar -> Edit -> Configure Custom Action) to create a custom action in the menu for checking the md5sum.

I used the following values:

(Basic Tab)
Name: Check md5sum
Command: gtkhash %f

(Appearence Tab)
File Pattern: *.*z*
Appears if: Other Files
